Subject: Re: bug#69819: 30.0.50; comint-mode does not always respect the read-only flag

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Mar 2024 22:22:56 +0200

> From: Dima Kogan <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 17 Mar 2024 12:51:20 -0700
> 
> > Why do you think C-d shouldn't work when the buffer is read-only?
> >
> >> I'm observing this with all comint-based modes, not just shell-mode.
> >
> > It's a feature, AFAICT.  But I'm interested in hearing why you thought
> > it was a bug.
> 
> 
> Is there no expectation that a "read-only" mode would block any changes
> to a buffer? Killing the inferior process breaks that expectation, hence
> this report.

What expectation, exactly?  The buffer is not changed; the process is
terminated, but that's not the same as changing the process's buffer!